# ==============
# GNU Go mistakes in games against or observed by Nicklas.
# The tests were last revised with version 2.7.151.
# ==============


# Reset life node counter
reset_life_node_counter
# Reset mouse node counter
reset_mouse_node_counter
# Reset reading node counter
reset_reading_node_counter


# ==============
# The following are from 9x9 games against Nicklas and with
# GNU Go version 2.7.141.
# ==============

loadsgf games/nicklas/nicklas1.sgf 9
101 gg_genmove black
#? [!D9]

loadsgf games/nicklas/nicklas1.sgf 29
102 gg_genmove black
#? [D4]*

loadsgf games/nicklas/nicklas2.sgf 5
201 gg_genmove black
#? [!G8|D8|F8]

loadsgf games/nicklas/nicklas2.sgf 9
202 gg_genmove black
#? [!H8]

loadsgf games/nicklas/nicklas2.sgf 23
203 gg_genmove black
#? [J5]*

loadsgf games/nicklas/nicklas2.sgf 39
204 gg_genmove black
#? [F8]*

loadsgf games/nicklas/nicklas2.sgf 55
205 dragon_status G1
#? [dead]

loadsgf games/nicklas/nicklas3.sgf 49
301 gg_genmove black
#? [H3|H6]

loadsgf games/nicklas/nicklas4.sgf 73
401 gg_genmove black
#? [A5]*

loadsgf games/nicklas/nicklas5.sgf 23
501 gg_genmove black
#? [G7]*

loadsgf games/nicklas/nicklas5.sgf 27
502 gg_genmove black
#? [G5]*

loadsgf games/nicklas/nicklas6.sgf 23
601 gg_genmove black
#? [D8|C8|D6]*

loadsgf games/nicklas/nicklas6.sgf 25
602 gg_genmove black
#? [C6]*

loadsgf games/nicklas/nicklas6.sgf 31
603 gg_genmove black
#? [C5]

loadsgf games/nicklas/nicklas6.sgf 41
604 gg_genmove black
#? [A7|J9]*

loadsgf games/nicklas/nicklas7.sgf 29
701 gg_genmove black
#? [F1]*

# ==============
# Some games from NNGS
# ==============

loadsgf games/nicklas/nicklas8.sgf 96
801 gg_genmove black
#? [P16]

loadsgf games/nicklas/nicklas8.sgf 116
802 gg_genmove black
#? [O12]*

loadsgf games/nicklas/nicklas8.sgf 134
803 gg_genmove black
#? [F7|G7]*

loadsgf games/nicklas/nicklas8.sgf 140
804 gg_genmove black
#? [D6]*

loadsgf games/nicklas/nicklas8.sgf 146
805 gg_genmove black
#? [C5|B4]*

loadsgf games/nicklas/nicklas8.sgf 162
806 gg_genmove black
#? [!G2]*

loadsgf games/nicklas/nicklas8.sgf 164
807 gg_genmove black
#? [!H1]*

loadsgf games/nicklas/nicklas8.sgf 180
808 gg_genmove black
#? [!L2]

loadsgf games/nicklas/nicklas8.sgf 212
809 gg_genmove black
#? [B10]*

loadsgf games/nicklas/nicklas8.sgf 224
810 gg_genmove black
#? [!C19]*

# Moved K15 to K14. /gf
loadsgf games/nicklas/nicklas8.sgf 240
811 gg_genmove black
#? [K14]*

loadsgf games/nicklas/nicklas8.sgf 242
812 gg_genmove black
#? [K12]*

loadsgf games/nicklas/nicklas9.sgf 28
901 gg_genmove black
#? [!PASS]*

902 dragon_status E9
#? [critical]*

903 dragon_status G7
#? [critical]*

loadsgf games/nicklas/nicklas9.sgf 50
904 gg_genmove black
#? [B1]*

loadsgf games/nicklas/nicklas10.sgf 18
1001 gg_genmove black
#? [B7]*

loadsgf games/nicklas/nicklas10.sgf 30
1002 gg_genmove black
#? [H8]*

loadsgf games/nicklas/nicklas10.sgf 56
1003 gg_genmove black
#? [!J6]*

loadsgf games/nicklas/nicklas10.sgf 64
1004 gg_genmove black
#? [!J9]*

loadsgf games/nicklas/nicklas10.sgf 66
1005 gg_genmove black
#? [!H7]*

loadsgf games/nicklas/nicklas10.sgf 68
1006 gg_genmove black
#? [!J7]*

loadsgf games/nicklas/nicklas11.sgf 16
1101 gg_genmove black
#? [!D11]*

loadsgf games/nicklas/nicklas11.sgf 56
1102 gg_genmove black
#? [P9]

loadsgf games/nicklas/nicklas11.sgf 172
1103 gg_genmove black
#? [C3]

loadsgf games/nicklas/nicklas11.sgf 174
1104 gg_genmove black
#? [!A15]*

loadsgf games/nicklas/nicklas11.sgf 180
1105 gg_genmove black
#? [!H14]

loadsgf games/nicklas/nicklas11.sgf 208
1106 gg_genmove black
#? [!F6]*

loadsgf games/nicklas/nicklas11.sgf 242
1107 gg_genmove black
#? [N2]*

loadsgf games/nicklas/nicklas11.sgf 258
1108 gg_genmove black
#? [Q18]*

loadsgf games/nicklas/nicklas11.sgf 260
1109 gg_genmove black
#? [!T13]*

loadsgf games/nicklas/nicklas11.sgf 268
1110 gg_genmove black
#? [O18]*

loadsgf games/nicklas/nicklas11.sgf 270
1111 gg_genmove black
#? [N18]

loadsgf games/nicklas/nicklas11.sgf 274
1112 gg_genmove black
#? [N19]

loadsgf games/nicklas/nicklas12.sgf 29
1201 gg_genmove black
#? [P9]*

loadsgf games/nicklas/nicklas12.sgf 69
1202 gg_genmove black
#? [!L17]*

loadsgf games/nicklas/nicklas12.sgf 71
1203 gg_genmove black
#? [N18]*

loadsgf games/nicklas/nicklas12.sgf 89
1204 gg_genmove black
#? [H15]*

loadsgf games/nicklas/nicklas12.sgf 95
1205 gg_genmove black
#? [E16]*

loadsgf games/nicklas/nicklas12.sgf 103
1206 gg_genmove black
#? [C15]*

loadsgf games/nicklas/nicklas12.sgf 113
1207 gg_genmove black
#? [C17]*

loadsgf games/nicklas/nicklas12.sgf 117
1208 gg_genmove black
#? [E19]*

loadsgf games/nicklas/nicklas12.sgf 121
1209 gg_genmove black
#? [!L19]*

loadsgf games/nicklas/nicklas12.sgf 123
1210 dragon_status D18
#? [dead]

loadsgf games/nicklas/nicklas12.sgf 182
1211 dragon_status L8
#? [critical]*

loadsgf games/nicklas/nicklas12.sgf 199
1212 dragon_status P13
#? [critical]*

loadsgf games/nicklas/nicklas12.sgf 203
1213 gg_genmove black
#? [N4]*

loadsgf games/nicklas/nicklas12.sgf 215
1214 gg_genmove black
#? [A1]*

1215 dragon_status A4
#? [dead]*

loadsgf games/nicklas/nicklas12.sgf 259
1216 gg_genmove black
#? [H3]*

loadsgf games/nicklas/nicklas12.sgf 263
1217 gg_genmove black
#? [F3]*


# ==============
# Games against Nicklas.
# ==============

loadsgf games/nicklas/nicklas13.sgf 49
1301 gg_genmove black
#? [B8|B9]*

loadsgf games/nicklas/nicklas13.sgf 57
1302 gg_genmove black
#? [!G8]*

loadsgf games/nicklas/nicklas13.sgf 58
1303 dragon_status G8
#? [dead]

loadsgf games/nicklas/nicklas13.sgf 73
1304 gg_genmove black
#? [!J8]*

loadsgf games/nicklas/nicklas14.sgf 31
1401 gg_genmove black
#? [B3]*

loadsgf games/nicklas/nicklas14.sgf 43
1402 gg_genmove black
#? [J8|J6]*

# White makes a mistake:-)

loadsgf games/nicklas/nicklas14.sgf 48
1403 gg_genmove white
#? [J6]*

loadsgf games/nicklas/nicklas14.sgf 51
1404 gg_genmove black
#? [J7]*

loadsgf games/nicklas/nicklas14.sgf 55
1405 gg_genmove black
#? [B7]*

loadsgf games/nicklas/nicklas14.sgf 57
1406 gg_genmove black
#? [B6]

loadsgf games/nicklas/nicklas14.sgf 61
1407 gg_genmove black
#? [A6]*

loadsgf games/nicklas/nicklas14.sgf 61
1408 dragon_status A8
#? [!dead]*


# ==============
# Game from NNGS
# ==============

loadsgf games/nicklas/nicklas15.sgf 185
1501 gg_genmove black
#? [D17]*

loadsgf games/nicklas/nicklas15.sgf 196
1502 gg_genmove black
#? [D14]*

loadsgf games/nicklas/nicklas15.sgf 200
1503 gg_genmove black
#? [D13]*

loadsgf games/nicklas/nicklas15.sgf 208
1504 gg_genmove black
#? [!F16]*

loadsgf games/nicklas/nicklas15.sgf 212
1505 gg_genmove black
#? [!O11]*

loadsgf games/nicklas/nicklas15.sgf 224
1506 gg_genmove black
#? [S4]*

loadsgf games/nicklas/nicklas15.sgf 228
1507 gg_genmove black
#? [!T1]*

loadsgf games/nicklas/nicklas15.sgf 232
1508 gg_genmove black
#? [!F15]*

loadsgf games/nicklas/nicklas15.sgf 258
1509 gg_genmove black
#? [!L1]*

loadsgf games/nicklas/nicklas15.sgf 284
1510 gg_genmove black
#? [C12]*

loadsgf games/nicklas/nicklas15.sgf 296
1511 gg_genmove black
#? [!J1]*

loadsgf games/nicklas/nicklas15.sgf 298
1512 gg_genmove black
#? [!A1]*



# Report number of nodes visited by the tactical reading
10000 get_reading_node_counter
#? [0]&

# Report number of nodes visited by the mouse code
10001 get_mouse_node_counter
#? [0]&

# Report number of nodes visited by the life code
10002 get_life_node_counter
#? [0]&
